Page MenuHomePhabricator

Wikitext 2.0 Session at Wikidev'17
Closed, ResolvedPublic

Description

Type of activity: Pre-scheduled session.
Main topic: Handling wiki content beyond plaintext

The problem

We have a number of proposals on updated syntax and semantics for wikitext:

This 70-minute session will cover these four areas, outlining how wikitext syntax and semantics matter to ordinary developers and editors. We'll cover the big challenges and describe some solutions the parser team is currently implementing. Finally we'll set the stage for the future of wikitext: what is possible, what needs to change, and how we might get there from here. We'll close with more-speculative sketches of what wikitext may look like in a decade's time.

Basic format will be not-more-than-10 minutes on each of these four areas, then 30 minutes of discussion at the end with the goal of unifying them, identifying strong and weak points, and agreeing on next steps.

My expectation is that we can reach consensus on some DOM-based semantics, especially for templating. While we might not agree on future syntax directions, I hope to establish consensus on boundaries: what changes are likely/plausible/possible/disrupting/challenging/impossible.

Related Objects

Event Timeline

cscott created this task.Nov 29 2016, 9:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 9:57 PM
Siznax added a subscriber: Siznax.Nov 29 2016, 10:53 PM
Qgil added a subscriber: Qgil.Dec 19 2016, 7:17 PM

The tasks of the sessions merged should be merged to this task, right? This would avoid confusion with the Unconference plans (see T149282#2887647).

Toniher added a subscriber: Toniher.Jan 3 2017, 7:29 PM
ssastry triaged this task as Normal priority.Jan 4 2017, 7:26 PM
ssastry moved this task from Backlog to In Progress on the MediaWiki-Parser board.
cscott updated the task description. (Show Details)Jan 4 2017, 8:41 PM
ssastry added a comment.EditedJan 4 2017, 8:57 PM

Let us talk once you have had a chance to catch up, but I don't think we should try to do all 4 things in this session. The spec discussion doesn't need too much time. I would like to focus my attention on T149282: Improved editability, tooling, reasoning, and performance by adopting DOM-based semantics for wikitext and T149658: A new semantics for templates fits right into that. So, I think we should think of this along 2 axes. What kind of changes to the underlying processing model are useful and what kind of changes to the syntax of wikitext could be considered. There are some overlaps there, but I think it would be beneficial to focus on those two focus areas: processing model and syntax. We can have followup breakout (unconference) sessions for in-depth discussions, if necessary.

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Qgil removed a subscriber: Qgil.Jan 15 2017, 5:49 PM

@cscott are there any actionable items from this session? If not should I close this task as resolved?

Aklapper assigned this task to cscott.Jul 12 2017, 11:07 AM

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Wikitext_2.0 lists some items (though no action items).
No idea if anything else needs to be turned into tasks, apart from those tasks already listed in the task description.
Assinging to @cscott as faciliator for followup.

Magol added a subscriber: Magol.Sep 25 2017, 3:58 PM
Aklapper closed this task as Resolved.Jan 22 2018, 3:37 PM

Closing, assuming this task has served its purpose a year ago.